summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2015-08-31 09:19:20 -0400
committerMichael Orlitzky <mjo@gentoo.org>2015-08-31 10:13:07 -0400
commit623bd520a9216fc02d5933d47b7604af7090fc00 (patch)
tree79bb1ae516ef2bd2efc25c3f8c8258deccebe4ea /net-analyzer/nagios-plugins
parentwww-client/links: Version bump. Drop dependency on sys-libs/ncurses (not used... (diff)
downloadgentoo-623bd520a9216fc02d5933d47b7604af7090fc00.tar.gz
gentoo-623bd520a9216fc02d5933d47b7604af7090fc00.tar.bz2
gentoo-623bd520a9216fc02d5933d47b7604af7090fc00.zip
net-analyzer/nagios-plugins: version bump to v2.1.1.
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'net-analyzer/nagios-plugins')
-rw-r--r--net-analyzer/nagios-plugins/Manifest1
-rw-r--r--net-analyzer/nagios-plugins/nagios-plugins-2.1.1.ebuild98
2 files changed, 99 insertions, 0 deletions
diff --git a/net-analyzer/nagios-plugins/Manifest b/net-analyzer/nagios-plugins/Manifest
index 17345c765c2..0351c0348b2 100644
--- a/net-analyzer/nagios-plugins/Manifest
+++ b/net-analyzer/nagios-plugins/Manifest
@@ -1 +1,2 @@
DIST nagios-plugins-2.0.3.tar.gz 2659772 SHA256 8f0021442dce0138f0285ca22960b870662e28ae8973d49d439463588aada04a SHA512 2753e6f3fc7433a5583fee01e63a65b9ea74155964f2b6e6bf3458e56cb29ea5dbd020f83816044a717b66d6548d203b3a082fba0faedcd629c7a8457bc19b36 WHIRLPOOL 4b0e4024833373df3f0db44657345a1f4495c4022e56bf6b369cc2846f9127e565520f6b7cdf1b94384592e78327d584da7d939a3ac0586e0ae67fd1258c138b
+DIST nagios-plugins-2.1.1.tar.gz 2677352 SHA256 c7daf95ecbf6909724258e55a319057b78dcca23b2a6cc0a640b90c90d4feae3 SHA512 6ef872a6aca50f4b575cae8b484766103bbeace7118090c81df3e62f9a30f9a156bb2bed4dbfa3e483e22a6b7505816e668b56bf3c91fcef8eafa9038c93dd26 WHIRLPOOL 80db3155ef0d31301822ac62fbc68a64f0ab79c7836b7592aab04a6e689fd96965ab45b58a5da7d687b58ce411c38d374b07e1ec82f23bad9b3981aae9dfe6e9
diff --git a/net-analyzer/nagios-plugins/nagios-plugins-2.1.1.ebuild b/net-analyzer/nagios-plugins/nagios-plugins-2.1.1.ebuild
new file mode 100644
index 00000000000..eb1b93e6193
--- /dev/null
+++ b/net-analyzer/nagios-plugins/nagios-plugins-2.1.1.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib user
+
+DESCRIPTION="Official plugins for Nagios"
+HOMEPAGE="http://nagios-plugins.org/"
+SRC_URI="http://nagios-plugins.org/download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="ipv6 ldap mysql nagios-dns nagios-ping nagios-game postgres samba snmp ssh +ssl"
+
+# Most of the plugins use automagic dependencies, i.e. the plugin will
+# get built if the binary it uses is installed. For example, check_snmp
+# will be built only if snmpget from net-analyzer/net-snmp[-minimal] is
+# installed. End result: most of our runtime dependencies are required
+# at build time as well.
+#
+# REAL_DEPEND contains the dependencies that are actually needed to
+# build. DEPEND contains those plus the automagic dependencies.
+#
+REAL_DEPEND="dev-lang/perl
+ ldap? ( net-nds/openldap )
+ mysql? ( virtual/mysql )
+ postgres? ( dev-db/postgresql:* )
+ ssl? ( dev-libs/openssl:0 )"
+
+DEPEND="${REAL_DEPEND}
+ nagios-dns? ( net-dns/bind-tools )
+ nagios-game? ( games-util/qstat )
+ nagios-ping? ( net-analyzer/fping )
+ samba? ( net-fs/samba )
+ ssh? ( net-misc/openssh )
+ snmp? ( dev-perl/Net-SNMP
+ net-analyzer/net-snmp[-minimal] )"
+
+# Basically everything collides with nagios-plugins.
+RDEPEND="${DEPEND}
+ !net-analyzer/monitoring-plugins"
+
+# At least one test is interactive.
+RESTRICT="test"
+
+src_prepare() {
+ # Fix the path to our perl interpreter
+ sed -i -e "1s:/usr/local/bin/perl:/usr/bin/perl:" \
+ "${S}"/plugins-scripts/*.pl || die
+}
+
+src_configure() {
+ # Use an array to prevent econf from mangling the ping args.
+ local myconf=()
+
+ if use ssl; then
+ myconf+=( $(use_with ssl openssl /usr) )
+ else
+ myconf+=( --without-openssl )
+ myconf+=( --without-gnutls )
+ fi
+
+ # The autodetection for these two commands can hang if localhost is
+ # down or ICMP traffic is filtered. Bug #468296.
+ myconf+=( --with-ping-command="/bin/ping -n -U -w %d -c %d %s" )
+
+ if use ipv6; then
+ myconf+=( --with-ping6-command="/bin/ping6 -n -U -w %d -c %d %s" )
+ fi
+
+ econf \
+ $(use_with mysql) \
+ $(use_with ipv6) \
+ $(use_with ldap) \
+ $(use_with postgres pgsql /usr) \
+ "${myconf[@]}" \
+ --libexecdir="/usr/$(get_libdir)/nagios/plugins" \
+ --sysconfdir="/etc/nagios"
+}
+
+DOCS=( ACKNOWLEDGEMENTS AUTHORS CODING ChangeLog FAQ \
+ NEWS README REQUIREMENTS SUPPORT THANKS )
+
+pkg_preinst() {
+ enewgroup nagios
+ enewuser nagios -1 /bin/bash /var/nagios/home nagios
+}
+
+pkg_postinst() {
+ elog "This ebuild has a number of USE flags that determine what you"
+ elog "are able to monitor. Depending on what you want to monitor, some"
+ elog "or all of these USE flags need to be set."
+ elog
+ elog "The plugins are installed in ${ROOT}usr/$(get_libdir)/nagios/plugins"
+}